'***************************************************************************
'File:   PostInstall.vbs
'Author: Intel Corporation
'Description: This file is used to enable install customization of the
'	Intel(R) Viiv(TM) Software. This VBScript file will be launched 
'	at the end of an installation if: 1) the file is in the same 
'	folder as the setup file and 2) the OEMRUNSCRIPT command line parameter
'	is used to trigger the installer to run the script:
'		ex. C:\PathToSetup\> SETUP /V"OEMRUNSCRIPT=1"
'***************************************************************************
'on error resume next

'Call Subroutine ModifyINI to modify NMS\nDevice.ini
ModifyINI

'***************************************************************************
'Subroutine:  ModifyINI
'Description: This routine creates an activeX object used to  
'	read registries, modify INI files, etc. The registry is read
'	to find the location of the NMS\nDevice.ini file and sets
'	the value of key 'NewDevice' to "0". This will disable the pop-up
'	alerts when a new device on the network.
'Note:	ActiveX InstallerSupport.ISSupport is only available during the
'	duration of the installation. It is removed after installation.
'***************************************************************************
Sub ModifyINI
	Dim ISObj, sKey, sFileName, sRootPath, sIniPath
	set ISObj = CreateObject("InstallerSupport.ISSupport")
	
	sKey  = "HKLM\Software\Intel\IntelDH\NMS\Root"
	sRootPath = ISObj.RegRead(sKey)  

	sKey  = "HKLM\Software\Intel\IntelDH\NMS\IniName"
	sFileName = ISObj.RegRead(sKey)  

	sIniPath = sRootPath + sFileName

	Call ISObj.IniWrite("Global","NewDevice","0",sIniPath)
	'* Below is code to read the INI file.
	'sKeyValue = ISObj.IniRead("Global","NewDevice",sIniPath)
	'MsgBox "script IniRead::sKeyValue="+sKeyValue
End Sub
